SND_CTL_MAKE_VIRTUAL(9)

NAME
snd_ctl_make_virtual_master - Create a virtual master control

SYNOPSIS

struct snd_kcontrol * snd_ctl_make_virtual_master(char * name, const unsigned int * tlv);

ARGUMENTS

name
    name string of the control element to create

tlv
    optional TLV int array for dB information

DESCRIPTION

Creates a virtual master control with the given name string.

After creating a vmaster element, you can add the slave controls via snd_ctl_add_slave or snd_ctl_add_slave_uncached.

The optional argument tlv can be used to specify the TLV information for dB scale of the master control. It should be a single element with #SNDRV_CTL_TLVT_DB_SCALE, #SNDRV_CTL_TLV_DB_MINMAX or #SNDRV_CTL_TLVT_DB_MINMAX_MUTE type, and should be the max 0dB.

RETURN

The created control element, or NULL for errors (ENOMEM).

COPYRIGHT